buildinfo is broken: liblua5_3-5 obsoletes liblua5_3

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

buildinfo is broken: liblua5_3-5 obsoletes liblua5_3

Aleksa Sarai
Hi all,

I'm just trying to work on a branch, and it appears that
openSUSE_Tumbleweed's repos have been broken[1]. Everything is
unresolveable with the error in the title. Attempting to build locally
gives:

Building docker.spec for openSUSE_Tumbleweed/x86_64
Getting buildinfo from server and store to
/home/cyphar/build/obs/home:cyphar:containers/home:cyphar:containers:dm_bsc1045628/docker/.osc/_buildinfo-openSUSE_Tumbleweed-x86_64.xml
 

Getting buildconfig from server and store to
/home/cyphar/build/obs/home:cyphar:containers/home:cyphar:containers:dm_bsc1045628/docker/.osc/_buildconfig-openSUSE_Tumbleweed-x86_64
 

buildinfo is broken... it says:
unresolvable: liblua5_3-5 obsoletes liblua5_3

Is there a bug open about this already?

[1]:
https://build.opensuse.org/package/show/home:cyphar:containers:dm_bsc1045628/docker

--
Aleksa Sarai
Software Engineer (Containers)
SUSE Linux GmbH
https://www.cyphar.com/
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: buildinfo is broken: liblua5_3-5 obsoletes liblua5_3

Dominique Leuenberger / DimStar
On Wed, 2017-08-16 at 22:56 +1000, Aleksa Sarai wrote:

> Hi all,
>
> I'm just trying to work on a branch, and it appears that
> openSUSE_Tumbleweed's repos have been broken[1]. Everything is
> unresolveable with the error in the title. Attempting to build
> locally
> gives:
>
> Building docker.spec for openSUSE_Tumbleweed/x86_64
> Getting buildinfo from server and store to
> /home/cyphar/build/obs/home:cyphar:containers/home:cyphar:containers:
> dm_bsc1045628/docker/.osc/_buildinfo-openSUSE_Tumbleweed-x86_64.xml
>  
>
> Getting buildconfig from server and store to
> /home/cyphar/build/obs/home:cyphar:containers/home:cyphar:containers:
> dm_bsc1045628/docker/.osc/_buildconfig-openSUSE_Tumbleweed-x86_64
>  
>
> buildinfo is broken... it says:
> unresolvable: liblua5_3-5 obsoletes liblua5_3
>
> Is there a bug open about this already?
>
> [1]:
> https://build.opensuse.org/package/show/home:cyphar:containers:dm_bsc
> 1045628/docker
You build against openSUSE:Factory/standard, which is in progress of
moving from liblua5_3 to liblua5_3-5 (following shared library
convention, and allowing parallel lua installs)

This is an error that will resolve itself shortly, once the 0815
snapshot has been released

Cheers
Dominique

signature.asc (201 bytes) Download Attachment